osmium::tags Namespace Reference

Code related to working with OSM tags. More...

## Classes

class | Filter
struct | match_key
struct | match_key_prefix
struct | match_value
struct | match_value< std::regex >
struct | match_value< void >

## Typedefs

typedef Filter< std::string, std::string > | KeyValueFilter
typedef Filter< std::string > | KeyFilter
typedef Filter< std::string, void, match_key_prefix > | KeyPrefixFilter
typedef Filter< std::string, std::regex > | RegexFilter

## Functions

template<typename TFilter >
bool | match_any_of (const osmium::TagList &tag_list, TFilter &&filter)
template<typename TFilter >
bool | match_all_of (const osmium::TagList &tag_list, TFilter &&filter)
template<typename TFilter >
bool | match_none_of (const osmium::TagList &tag_list, TFilter &&filter)

## Detailed Description

Code related to working with OSM tags.

## Typedef Documentation

typedef Filter<std::string> osmium::tags::KeyFilter

typedef Filter<std::string, void, match_key_prefix> osmium::tags::KeyPrefixFilter

typedef Filter<std::string, std::string> osmium::tags::KeyValueFilter

typedef Filter<std::string, std::regex> osmium::tags::RegexFilter

## Function Documentation

template<typename TFilter >

bool osmium::tags::match_all_of | ( | const osmium::TagList & | tag_list,
|  | TFilter && | filter
| ) |  |

inline

template<typename TFilter >

bool osmium::tags::match_any_of | ( | const osmium::TagList & | tag_list,
|  | TFilter && | filter
| ) |  |

inline

template<typename TFilter >

bool osmium::tags::match_none_of | ( | const osmium::TagList & | tag_list,
|  | TFilter && | filter
| ) |  |

inline